Package: org.codehaus.groovy.ast

## [Java] Class MethodInvocationTrap

- org.codehaus.groovy.ast.MethodInvocationTrap

-     public abstract class MethodInvocationTrap
      extends CodeVisitorSupport

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodInvocationTrap(ReaderSource source, SourceUnit sourceUnit)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `visitMethodCallExpression(MethodCallExpression call)` Attempts to find AstBuilder 'from code' invocations.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CodeVisitorSupport` | `visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Constructor Detail

    - #### public MethodInvocationTrap(ReaderSource source, SourceUnit sourceUnit)

  - ### Method Detail

    - #### @Override
      public void visitMethodCallExpression(MethodCallExpression call)

      Attempts to find AstBuilder 'from code' invocations. When found, converts them into calls to the 'from string' approach.

      Parameters:
        `call` - the method call expression that may or may not be an AstBuilder 'from code' invocation.